<LWM2M xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://openmobilealliance.org/tech/profiles/LWM2M.xsd">
	<Object ObjectType="MODefinition">
		<Name>Vehicle</Name>
		<Description1><![CDATA[
 This custom Object provides the information to represent a generic vehicle during its motion. Based on OMA LwM2M Object #10244 (aka VCU -vehicle control unit-), OMA LwM2M Object #3430 (aka Global Navigation Satellite System). 
		]]></Description1>
		<ObjectID>19019</ObjectID>
		<ObjectURN>urn:oma:lwm2m:x:19019</ObjectURN>
		<MultipleInstances>Single</MultipleInstances>
		<Mandatory>Optional</Mandatory>
		<Resources>
			
			<Item ID="0">
				<Name>Engine RPM</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Integer</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units>1/min</Units>
				<Description><![CDATA[
 Rotational speed of the engine. 
				]]></Description>
			</Item><Item ID="1">
				<Name>Fuel level</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Float</Type>
				<RangeEnumeration>0..100</RangeEnumeration>
				<Units>/100</Units>
				<Description><![CDATA[
 Current stored fuel. 
				]]></Description>
			</Item><Item ID="2">
				<Name>Vehicle Speed</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Integer</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units>km/h</Units>
				<Description><![CDATA[
 Current speed of the vehicle. 
				]]></Description>
			</Item>
			
			<Item ID="3">
				<Name>Engine Coolant Temp</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Float</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units>Cel</Units>
				<Description><![CDATA[
 Current engine coolant temperature. 
				]]></Description>
			</Item>
			<Item ID="4">
				<Name>Vehicle AP Position</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Integer</Type>
				<RangeEnumeration>0..100</RangeEnumeration>
				<Units>/100</Units>
				<Description><![CDATA[
 Current position of the accelerator pedal. 
				]]></Description>
			</Item>
			<Item ID="5">
				<Name>Ambiental Air Temp</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Float</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units>Cel</Units>
				<Description><![CDATA[
 Current ambient air temperature. 
				]]></Description>
			</Item>
			<Item ID="6">
				<Name>Fuel rate</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Float</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units>l/s</Units>
				<Description><![CDATA[
 Current fuel rate of the vehicle. 
				]]></Description>
			</Item>
			
			
			
			
			
		</Resources>
		<Description2>
<![CDATA[ ]]>
		</Description2>
	</Object>
</LWM2M>